> ## Documentation Index
> Fetch the complete documentation index at: https://www.checklyhq.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve an incident of a v3 status page.

> Get an incident of a v3 status page, including its updates and component impacts.



## OpenAPI

````yaml get /v3/status-pages/{statusPageId}/incidents/{incidentId}
openapi: 3.0.0
info:
  title: Checkly Public API
  version: v1
  description: >-
    These are the docs for the newly released Checkly Public API. If you have
    any questions, please do not hesitate to get in touch with us.
servers:
  - url: https://api.checklyhq.com
security:
  - Bearer: []
tags: []
paths:
  /v3/status-pages/{statusPageId}/incidents/{incidentId}:
    get:
      tags:
        - Status Pages V3 Incidents
      summary: Retrieve an incident of a v3 status page.
      description: >-
        Get an incident of a v3 status page, including its updates and component
        impacts.
      operationId: getStatusPageV3IncidentPublic
      parameters:
        - name: x-checkly-account
          in: header
          schema:
            type: string
            x-format:
              guid: true
            description: >-
              Your Checkly account ID, you can find it at
              https://app.checklyhq.com/settings/account/general
          description: >-
            Your Checkly account ID, you can find it at
            https://app.checklyhq.com/settings/account/general
        - name: statusPageId
          in: path
          schema:
            type: string
            x-format:
              guid: true
          required: true
        - schema:
            type: string
            x-format:
              guid: true
          required: true
          name: incidentId
          in: path
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicStatusPageV3Incident'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForbiddenError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundError'
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TooManyRequestsError'
components:
  schemas:
    PublicStatusPageV3Incident:
      type: object
      properties:
        id:
          type: string
          x-format:
            guid: true
        statusPageId:
          type: string
          x-format:
            guid: true
        name:
          type: string
        lastUpdateStatus:
          $ref: '#/components/schemas/PublicStatusPageV3IncidentStatus'
        duration:
          type: integer
          description: >-
            Seconds from the first update to the resolving update; null while
            ongoing.
          nullable: true
        componentImpacts:
          $ref: '#/components/schemas/PublicStatusPageV3ComponentImpactsResponse'
        created_at:
          type: string
          format: date
        updated_at:
          type: string
          format: date
          nullable: true
        incidentUpdates:
          $ref: '#/components/schemas/PublicStatusPageV3IncidentUpdatesResponse'
      required:
        - id
        - statusPageId
        - name
        - lastUpdateStatus
        - created_at
        - incidentUpdates
    UnauthorizedError:
      type: object
      properties:
        statusCode:
          type: number
          enum:
            - 401
        error:
          $ref: '#/components/schemas/error'
        message:
          type: string
          example: Bad Token
        attributes:
          $ref: '#/components/schemas/attributes'
      required:
        - statusCode
        - error
    ForbiddenError:
      type: object
      properties:
        statusCode:
          type: number
          enum:
            - 403
        error:
          $ref: '#/components/schemas/Model1'
        message:
          type: string
          example: Forbidden
      required:
        - statusCode
        - error
    NotFoundError:
      type: object
      properties:
        statusCode:
          type: number
          enum:
            - 404
        error:
          $ref: '#/components/schemas/Model4'
        message:
          type: string
          example: Not Found
      required:
        - statusCode
        - error
    TooManyRequestsError:
      type: object
      properties:
        statusCode:
          type: number
          enum:
            - 429
        error:
          $ref: '#/components/schemas/Model2'
        message:
          type: string
          example: Too Many Requests
        attributes:
          $ref: '#/components/schemas/attributes'
      required:
        - statusCode
        - error
    PublicStatusPageV3IncidentStatus:
      type: string
      enum:
        - INVESTIGATING
        - IDENTIFIED
        - MONITORING
        - RESOLVED
    PublicStatusPageV3ComponentImpactsResponse:
      type: array
      items:
        $ref: '#/components/schemas/PublicStatusPageV3ComponentImpactResponse'
    PublicStatusPageV3IncidentUpdatesResponse:
      type: array
      items:
        $ref: '#/components/schemas/PublicStatusPageV3IncidentUpdate'
    error:
      type: string
      enum:
        - Unauthorized
    attributes:
      type: object
    Model1:
      type: string
      enum:
        - Forbidden
    Model4:
      type: string
      enum:
        - Not Found
    Model2:
      type: string
      enum:
        - Too Many Requests
    PublicStatusPageV3ComponentImpactResponse:
      type: object
      properties:
        componentId:
          type: string
          x-format:
            guid: true
        status:
          $ref: '#/components/schemas/Model92'
        startedAt:
          type: string
          format: date
        endedAt:
          type: string
          format: date
          nullable: true
      required:
        - componentId
        - status
        - startedAt
    PublicStatusPageV3IncidentUpdate:
      type: object
      properties:
        description:
          type: string
        status:
          $ref: '#/components/schemas/PublicStatusPageV3IncidentStatus'
        publicIncidentUpdateDate:
          type: string
          format: date-time
          description: >-
            When the update is shown as posted. Defaults to now; cannot predate
            the incident.
          default: '2026-08-31T13:12:43.392Z'
        notifySubscribers:
          type: boolean
          default: false
        id:
          type: string
          x-format:
            guid: true
        created_at:
          type: string
          format: date
      required:
        - description
        - status
        - id
        - created_at
    Model92:
      type: string
      enum:
        - OPERATIONAL
        - UNDER_MAINTENANCE
        - DEGRADED_PERFORMANCE
        - PARTIAL_OUTAGE
        - MAJOR_OUTAGE
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: Bearer
      description: >-
        The Checkly Public API uses API keys to authenticate requests. You can
        get the API Key
        [here](https://app.checklyhq.com/settings/user/api-keys). Your API key
        is like a password: keep it secure!

        Authentication to the API is performed using the Bearer auth method in
        the Authorization header and using the account ID.

        For example, set **Authorization** header while using cURL: `curl -H
        "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"` 

````